Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
ipod [Le 10/05/2010, 15:24]
88.160.52.183 Ajout de liens vers pages dédiées à l'iphone
ipod [Le 21/01/2019, 16:26] (Version actuelle)
82.238.251.51 [Problèmes rencontrées]
Ligne 1: Ligne 1:
-{{tag>Jaunty ​audio baladeur}}+{{tag>Trusty ​audio baladeur ​VÉTUSTE}}
  
 ---- ----
Ligne 7: Ligne 7:
 Il est possible d'​utiliser des baladeurs numériques de type iPod sous Ubuntu malgré la technologie propriétaire d'​Apple™. Il est possible d'​utiliser des baladeurs numériques de type iPod sous Ubuntu malgré la technologie propriétaire d'​Apple™.
  
-Sous les dernières versions ​de Ubuntu, le programme Rhythmbox permet d'​utiliser son iPod. Cependant, il n'est pas possible de charger directement une bibliothèque de iTunes. Une solution via un script est disponible ici [[http://​code.google.com/​p/​itunes-to-rhythmbox-ratings/​]]+Sous les dernières versions ​d'Ubuntu, le programme Rhythmbox permet d'​utiliser son iPod. Cependant, il n'est pas possible de charger directement une bibliothèque de iTunes. Une solution via un script est disponible ici [[http://​code.google.com/​p/​itunes-to-rhythmbox-ratings/​]]
  
-<note important>​05/​04/​2009 L'iPod Nano 4G (4e génération) FONCTIONNE SOUS LINUX. Entièrement sous Jaunty et uniquement les fichiers musicaux(sans les couvertures d'​album) pour les versions antérieures d'​Ubuntu. La technologie VoiceOver ne fonctionne sur aucune version d'​Ubuntu</​note>​ +<note important>​05/​04/​2009 L'iPod Nano 4G (4e génération) FONCTIONNE SOUS LINUX. Entièrement sous Jaunty et uniquement les fichiers musicaux (sans les couvertures d'​album) pour les versions antérieures d'​Ubuntu. La technologie VoiceOver ne fonctionne sur aucune version d'​Ubuntu.\\ 
- +13/03/2010 : Ipod shuffle 3G fonctionne avec le logiciel Floola (freeware).\\ 
-<note important>​05/​04/​2009 iPod shuffle 3G n'est pas pris en charge sous Linux. +30/09/2013 iPod est pris en charge ​par libgpodIl faut ajouter un fichier comme décrit sur : http://​www.bourdonnec.com/​ 
- +"​Ubuntu 12.04 LTS et suivantes : la librairie fournissant le HASH AB : il faut placer la lib dans le (nouveau) dossier : /usr/lib/​libgpod. Renommez le pour la version 64 bits ! 
-5/12/09 Réussie la prise en charge pour iPod Nano 3G (voir plus loin), pas testée pour iPod shuffle 3G +libhashab.so"​\\ 
- +27/07/2014 iPod nano 5G fonctionne "out of the box" ​avec Trusty 14.04 LTS. 
-13/03/2010 : Ipod shuffle 3G fonctionne avec le logiciel Floola (freeware).</​note> ​ +</​note>​ 
- +===== Connexion de l'iPod sous Ubuntu ​===== 
-<note important>​28/10/2009 iPod nano 5G n'est pas non plus pris en charge ​sous Linux pour l'​instant+==== Cas général : tout iPod excepté iPod Touch et iPhone ====
- +
-05/01/2010 Synchronisation réussie sur un iPod Nano 5G avec GktPod +
- +
-23/01/2010 Support de l'iPod Nano 5G avec libgpod: voir plus bas.</​note> ​ +
- +
- +
-===== Connexion de l'iPod sous Ubuntu ​(tout iPod excepté iPod Touch et iPhone)====+
 Branchez votre iPod directement sur une prise USB de votre ordinateur pour qu'il soit reconnu ! Branchez votre iPod directement sur une prise USB de votre ordinateur pour qu'il soit reconnu !
 N'​utilisez pas de rallonge USB et ne le branchez pas sur un hub USB. N'​utilisez pas de rallonge USB et ne le branchez pas sur un hub USB.
Ligne 38: Ligne 31:
  
 ==== Cas particulier : iPod Touch et iPhone tout firmware ==== ==== Cas particulier : iPod Touch et iPhone tout firmware ====
 +
 +<note tip>​Fonctionne en natif depuis Lucid Lynx</​note>​
  
 [[iphone|Page dédiée à l'​iPhone]] [[iphone|Page dédiée à l'​iPhone]]
  
-[[tutoriel:​comment_synchroniser_un_iphone_3g_3gs_sous_ubuntu|Page dédiée à la synchronisation de musique avec l'​iPhone]] 
  
 ==== Cas particulier : iPod Nano 3G==== ==== Cas particulier : iPod Nano 3G====
Ligne 52: Ligne 46:
 Ensuite connectez votre iPod et dans un terminal tapez la commande df : Ensuite connectez votre iPod et dans un terminal tapez la commande df :
  
-<​code>​df+<​code>​df</​code>​ 
 +Le résultat de la commande doit ressembler à cela : 
 +<​file>​
 Sys. de fich.           ​1K-blocs ​      ​Occupé Disponible Capacité Monté sur Sys. de fich.           ​1K-blocs ​      ​Occupé Disponible Capacité Monté sur
 /​dev/​sda2 ​            ​11994012 ​  ​4590680 ​  ​6794068 ​ 41% / /​dev/​sda2 ​            ​11994012 ​  ​4590680 ​  ​6794068 ​ 41% /
Ligne 62: Ligne 58:
 /​dev/​sda7 ​           241432816 ​ 31792124 209640692 ​ 14% /​media/​Stockage /​dev/​sda7 ​           241432816 ​ 31792124 209640692 ​ 14% /​media/​Stockage
 /​dev/​sda6 ​           234748568 ​ 52624480 175025692 ​ 24% /home /​dev/​sda6 ​           234748568 ​ 52624480 175025692 ​ 24% /home
-/​dev/​sdb1 ​             3793036 ​   127960 ​  ​3665076 ​  4% /​media/​IPOD</​code>+/​dev/​sdb1 ​             3793036 ​   127960 ​  ​3665076 ​  4% /​media/​IPOD</​file>
  
 Repérez le système de fichier sur lequel est monté votre iPod (ici /dev/sdb1) Repérez le système de fichier sur lequel est monté votre iPod (ici /dev/sdb1)
Ligne 73: Ligne 69:
 ==== Cas particulier : iPod Nano 5G ==== ==== Cas particulier : iPod Nano 5G ====
  
-L'iPod Nano 5G n'est pas supporté par les logiciels actuellement dans les dépôts. Pour pouvoir utiliser votre iPod Nano 5G sous Linux, vous devrez compiler la dernière version ​de la librairie libgpod+issu de : [[http://​forum.ubuntu-fr.org/​viewtopic.php?​pid=7748701#​p7748701]]
-<note important>​Cette manipulation pourrait compromettre le fonctionnement ​de votre système ​Ubuntu, assurez-vous de savoir ce que vous faites avant d'​utiliser toute commande précédée de **sudo** ! De plus, les instructions suivantes installeront une version de développement de la librairie libgpod, potentiellement instable.</​note>​+Testé à partir ​de Ubuntu ​11.10 en dual boot avec Win7
  
-Il n'existe pour l'​instant (23/​01/​2010) aucun paquet précompilé ​de libgpod supportant ​l'iPod Nano G5, cependant ​la version de développement permet ​l'​utilisation ​de cet iPod avec tout logiciel utilisant libgpod ( [[Rhythmbox]] , [[Gtkpod]] , [[Amarok]] , [[Songbird]] , [[FUSEpod]] ...).  +1. Etape obligatoire même si elle est toujours pénible : boot sous Windows et lancement d'iTunes afin de réinitialiser ​l'iPod Nano. Bien veiller à cocher en fin de procédure les deux options '​Gérer ​la musique manuellement'​ et '​Permettre ​l'​utilisation ​comme stockage usb'
-Pour récupérer la dernière version de développement, vous aurez besoin de [[apt://​git-cvs|Git]]. +Une fois fait, vous pouvez éjecter votre iPod et redémarrer sous Ubuntu.
-Après l'​avoir installé depuis les dépots, ouvrez un terminal ​et entrez les commandes suivantes : +
-<​code>​git clone git://​gtkpod.git.sourceforge.net/​gitroot/​gtkpod/​libgpod +
-cd libgpod</​code>​+
  
-Avant de pouvoir compiler, il vous faudra installer les paquets suivants : [[apt://​autoconf,​flex,​gettext,​libglib2.0-dev,​libgtk2.0-dev,libglade2-dev,​libid3tag0-dev,​libxml-parser-perl,​pkg-config,​automake,​gcc,​git-core,​gtk-doc-tools,​libcurl4-dev,​libflac-dev,​libgnomevfs2-dev,​libhal-dev,​libvorbis-dev,​libmp4v2-dev,​hal,​libsgutils2-dev,​python,​python-dev,​python-mutagen,​python-gtk2-dev,​intltool,​sqlite3,​libplist0,​libsqlite3-dev,​libplist-dev| ​un certain nombre de paquets]].+2. Une fois sous Ubunturebrancher votre iPod. Sous 11.10 il est nativement reconnu. 
 +On va récupérer le FirewireGuid de l'​iPod. Ce code à 16 chiffres est indispensable pour la suitePour le récupérerouvrer une fenêtre de terminal puis taper la commande suivante : sudo lsusb -v | grep -i Serial 
 +Vous devriez obtenir ​un truc dans le genre :
  
-Vous pouvez les installer avec la commande suivante ​+    iSerial 3 000A270015464B64 
-<​code>​sudo aptitude install autoconf flex gettext libglib2.0-dev libgtk2.0-dev libglade2-dev libid3tag0-dev libxml-parser-perl pkg-config automake gcc git-core gtk-doc-tools libcurl4-dev libflac-dev libgnomevfs2-dev libhal-dev libvorbis-dev libmp4v2-dev hal libsgutils2-dev python python-dev python-mutagen python-gtk2-dev intltool sqlite3 libplist0 libsqlite3-dev libplist-dev</​code>​+    iSerial 1 0000:00:1a.7 
 +    ​iSerial 3 0000020BE288 
 +    iSerial 1 0000:​00:​1d.7 
 +    iSerial 1 0000:​00:​1d.1 
 +    iSerial 1 0000:00:1d.0 
 +    iSerial 1 0000:​00:​1a.1 
 +    iSerial 1 0000:00:1a.0
  
-Vous aurez aussi besoin de deux paquets des dépôts de [[lucid]]: libplist1 et libplist-dev. +Le FirewireGuid est le code à 16 chiffres qui apparaît ​à l'écran, ici c'est 000A270015464B64.
-Un [[ppa]] a été mis à disposition par la communauté anglophone ​à l'adresse :  +
-<​note>​https://​launchpad.net/​~pmcenery/​+archive/​ppa</​note>​+
  
-Cependant, pour éviter tout conflit entre la version ​de libgpod que nous allons compiler et celle du PPA, il est conseillé d'​installer les paquets en les téléchargeant sur le serveur Launchpad :​[[https://​launchpad.net/ubuntu/+source/libplist/1.0-1/​+build/​1440642/​+files/​libplist1_1.0-1_i386.deb | ici]] et [[https://launchpad.net/​ubuntu/​+source/​libplist/​1.0-1/​+build/​1440642/​+files/​libplist-dev_1.0-1_i386.deb|là]].+3. Ensuite il faut s'​assurer ​de l'​existence ​du fichier SysInfoPour cela allez sous  ​/pointdemontagedelipod/iPod/iPod_Control/Device. 
 +Si le fichier SysInfo est présent vérifiez qu'il est bien documenté : éditez le et vérifiez qu'il contient bien la ligne FirewireGuid:​ lidentifiantquevousavezrecuperéSinon ajoutez là en veillant bien à ne pas mettre d'​espace entre "​FirewireGuid" ​et ":". 
 +Si le fichier Sysinfo n'​existe pas, créez le en ajoutant la ligne FirewireGuid:​ lidentifiantquevousavezrecuperé.
  
-Il vous faudra ensuite commencer la compilation ​de la librairie : +4. Création d'un fichier HashInfo qui va permettre a banshee, rhythmbox, gtkpod ​de modifier ​la base iTunes de l'​iPod. 
-<​code>​./autogen.sh --prefix ​/usr +Pour cela rendez-vous sur le site http://​ihash.marcansoft.comet renseignez le champ de la page avec le FirewireGuid de votre iPod (précedemment récupéré)Remplissez le captcha et cliquez sur '​generate'​. Il va alors vous générer un fichier HashInfo qu'il vous suffira d'​aller copier sous /pointdemontagedelipod/iPod/​iPod_Control/​Device.
-make +
-sudo make install</code>+
  
-Si tout s'est bien passé, éteignez votre lecteur de musique, puis branchez ​votre iPod. Ubuntu devrait vous proposer de lancer votre lecteur préféré, et ce dernier devrait reconnaître votre iPod comme n'​importe quel autre iPod.+5. Nous y sommes. Une fois ces étapes passéesdébrancher (proprement) ​puis rebrancher ​votre iPod. Le transfert des musiques s'​opère dès lors sans soucis je l'ai testé avec bansheegtkpod ​et rhythmbox. Les pochettes sont mêmes parfaitement gérées.
  
-==Edition du 22 février 2010:== 
  
-Si tout ne c'est pas bien passé avec les explication précédentes,​ suivez celles-ci:+===== Organisation des dossiers & fichiers =====
  
-Premièrement:​ +==== Présentation====
- +
-<​code>​$ sudo rename /​usr/​lib/​libgpod.so.4 /​usr/​lib/​libgpod.so.4.old +
- +
-et enfin faire un lien vers le libgpod qu'on vient d'​installer:​ +
- +
-$ sudo ln -s /​usr/​local/​lib/​libgpod.so.4.2.0 /​usr/​lib/​libgpod.so.4</​code>​ +
- +
-Merci à Mirox +
- +
-Ensuite Ajoutez les nouveaux dépôts contenant les paquets compatible Ipod nano G5 +
- +
-<​code>​sudo add-apt-repository ppa:​pmcenery/​ppa +
-sudo aptitude update +
-sudo aptitude safe-upgrade</​code>​ +
- +
-Pour finir rendez vous dans le gestionnaire de paquets synaptic. +
-Lancez une surpression complète des paquets et dépendances de: +
-<​code>​libgpod4 +
-rhythmbox</​code>​ +
- +
-Redémarrez. +
-Rendez vous de nouveau dans le gestionnaire de paquets synaptic et réinstallez les paquets nommé précédemment. +
-Merci à Chacmool +
- +
- +
-===== Organisation des dossiers & fichiers =====+
  
 Si vous double-cliquez sur l'​icône,​ [[:​Nautilus]] vous permettra de vous promener dans la structure de fichier de votre iPod, cette structure est propriétaire à Apple(c), et elle est nécessaire au bon fonctionnement de votre iPod. Si vous double-cliquez sur l'​icône,​ [[:​Nautilus]] vous permettra de vous promener dans la structure de fichier de votre iPod, cette structure est propriétaire à Apple(c), et elle est nécessaire au bon fonctionnement de votre iPod.
Ligne 144: Ligne 116:
 Pour utiliser votre iPod, il vous suffira donc de rajouter dans votre Ubuntu Linux un logiciel libre dédié à cette gestion, il en existe de nombreux, les plus simples à installer et à utiliser sont GTK-Pod et Amarok. Vous pouvez également utiliser directement Rhythmbox, le lecteur audio de Gnome. Pour utiliser votre iPod, il vous suffira donc de rajouter dans votre Ubuntu Linux un logiciel libre dédié à cette gestion, il en existe de nombreux, les plus simples à installer et à utiliser sont GTK-Pod et Amarok. Vous pouvez également utiliser directement Rhythmbox, le lecteur audio de Gnome.
  
-===== Transférer ​de la musique sur son iPod =====+(Amarok 1.4 seul) 
 + 
 + 
 +==== Initialisation ​de l'iPod ==== 
 + 
 +Si votre iPod ne possède plus sa structure initiale (par exemple après formatage), il est possible de générer automatiquement le répertoire "​iPod_Control"​ avec le logiciel GTK-Pod. Pour cela allez dans "​Tools"​ puis "​Create Ipod's directories"​. 
 ==== Format de l'iPod ==== ==== Format de l'iPod ====
-Les utilisateurs d'iPod savent qu'il n'est pas possible de transférer de la musique depuis Windows dans un iPod formaté depuis un poste Mac OS. Ceci s'​explique par le [[système de fichiers]] créé à l'​initialisation de l'iPod : un iPod initialisé sous Mac OS X sera initialisé en HFS+, alors qu'un iPod initialité ​sous Windows sera formaté en FAT32, car cet OS ne gère pas le système de fichiers HFS+. Dans Ubuntu, les deux formats de systèmes de fichiers sont gérés.+Les utilisateurs d'iPod savent qu'il n'est pas possible de transférer de la musique depuis Windows dans un iPod formaté depuis un poste Mac OS. Ceci s'​explique par le [[système de fichiers]] créé à l'​initialisation de l'iPod : un iPod initialisé sous Mac OS X sera initialisé en HFS+, alors qu'un iPod initialisé ​sous Windows sera formaté en FAT32, car cet OS ne gère pas le système de fichiers HFS+. Dans Ubuntu, les deux formats de systèmes de fichiers sont gérés.
   * **iPod initialisé sous Windows :** \\ Il n'y a aucune manipulation supplémentaire à effectuer. L'iPod est immédiatement pris en charge.   * **iPod initialisé sous Windows :** \\ Il n'y a aucune manipulation supplémentaire à effectuer. L'iPod est immédiatement pris en charge.
  
Ligne 155: Ligne 133:
 diskutil disableJournal <Nom de l'​iPod></​code>​(''<​Nom de l'​iPod>''​ doit être remplacé par le nom de votre iPod, sans les crochets.) diskutil disableJournal <Nom de l'​iPod></​code>​(''<​Nom de l'​iPod>''​ doit être remplacé par le nom de votre iPod, sans les crochets.)
     - Votre iPod initialisé sous Mac OS X est maintenant compatible avec les systèmes GNU/Linux.     - Votre iPod initialisé sous Mac OS X est maintenant compatible avec les systèmes GNU/Linux.
 +
 +Ou par méthode graphique :
 +    - Branchez votre iPod à un poste sous Mac OS X ;
 +    - Ouvrez application / Utilitaire de disque.
 +    - Sélectionner votre ipod puis faites Alt + fichier. Puis selectionner "​desactiver la journalisation"​.
 +    - Votre iPod initialisé sous Mac OS X est maintenant compatible avec les systèmes GNU/Linux.
 +
 +
 +==== Remplacer le système de l'iPod ====
 +
 +Il est aussi possible, mais plus dangereux, de remplacer le système interne de l'iPod par un système libre. Ce système permet par exemple le glisser-déposer de fichiers directement en passant par Nautilus. Pour plus d'​informations,​ consultez [[http://​www.rockbox.org|le site sur Rockbox]] ou [[http://​www.ipodlinux.org|celui sur iPodLinux]].
 +
 +Voir aussi [[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=254694|cette discussion]] sur le forum ubuntu-fr.
 +
 +
 +===== Transférer de la musique sur son iPod =====
 +
 +
 +==== Cas particulier : Ipod Shuffle 1G/2G ====
 +
 +Les iPod Shuffle 1G et 2G peuvent être utilisés de la même manière qu'un lecteur mp3 normal, c'est à dire par simple glissé-déposé depuis Nautilus. Vous pouvez par exemple créer un répertoire "​Musique"​ contenant des fichiers "​.mp3"​ ou bien trier ces fichiers dans plusieurs répertoires.
 +
 +__Seulement,​ il y a 3 contraintes :__
 +
 +- L'iPod doit déjà avoir été initialisé (par exemple avec "​iTunes"​ ou "​GTK-Pod"​),​ c'est à dire qu'il contient le répertoire "​iPod_Control"​.
 +
 +- L'iPod ne sait lire que le format mp3.
 +
 +- Après chaque ajout ou suppression de fichier de musique, il faut exécuter un script (iPod shuffle database builder) à la racine de l'iPod pour mettre à jour la liste de lecture.
 +
 +Ce script "iPod shuffle database builder"​ n'est pas disponible dans la logithèque Ubuntu car il ne s'agit pas d'un logiciel à installer sur le système d'​exploitation.
 +Il s'agit d'un script "​rebuild_db.py"​ à télécharger puis à placer à la racine de l'​iPod.
 +http://​sourceforge.net/​projects/​shuffle-db/​
 +Le script se lance avec la commande suivante : "​python rebuild_db.py"​.
 +
  
 ==== Les logiciels de transfert ==== ==== Les logiciels de transfert ====
 Pour transférer de la musique vers un iPod avec Ubuntu Linux, un logiciel spécial est nécessaire. iTunes n'est pas disponible pour Linux, à moins de disposer de CrossOver Office (qui n'est pas gratuit). ​ Pour transférer de la musique vers un iPod avec Ubuntu Linux, un logiciel spécial est nécessaire. iTunes n'est pas disponible pour Linux, à moins de disposer de CrossOver Office (qui n'est pas gratuit). ​
 Cependant, il existe de nombreux logiciels sous Linux pour gérer un iPod : Cependant, il existe de nombreux logiciels sous Linux pour gérer un iPod :
 +  * **[[:​Clémentine]]** Fonctionne également très bien.
   * **[[:​Rhythmbox]]** est le lecteur audio du bureau Gnome, il détecte tout seul votre iPod, et vous pouvez mettre à jour sa liste de lecture, par simple cliquer-déplacer,​ à l'​image d'​iTunes.   * **[[:​Rhythmbox]]** est le lecteur audio du bureau Gnome, il détecte tout seul votre iPod, et vous pouvez mettre à jour sa liste de lecture, par simple cliquer-déplacer,​ à l'​image d'​iTunes.
  
Ligne 165: Ligne 178:
  
   * **[[:​AmaroK]]** est un excellent lecteur multimédia,​ fourni par défaut sous Kubuntu, mais aussi utilisable sous Gnome, donc Ubuntu Linux, moyennant quelques fichiers d'​installation en plus.   * **[[:​AmaroK]]** est un excellent lecteur multimédia,​ fourni par défaut sous Kubuntu, mais aussi utilisable sous Gnome, donc Ubuntu Linux, moyennant quelques fichiers d'​installation en plus.
-  ​* **[[:​Listen]]** est un logiciel de lecture audio permettant la gestion d'un iPod sous [[:​GNOME]]. +  * **[[:​Banshee]]** est un autre lecteur audio sous GNOME
-  ​* **[[:​Banshee]]** est un autre lecteur audio pour GNOME+
-  * **[[:​Yamipod]]** est un autre logiciel dédié à la gestion d'un iPod. Il est porté sous Linux et MacOS (r) depuis Windows(r). Ce n'est pas un logiciel libre, il est en contradiction avec la philosophie d'​Ubuntu.+
   * **[[http://​www.floola.com/​modules/​wiwimod/​index.php?​page=WiwiHome|Floola]]** (non libre) permet de gérer en plus des fichiers musicaux, les couvertures d'​albums ainsi que les photos pour les envoyer vers l'iPod   * **[[http://​www.floola.com/​modules/​wiwimod/​index.php?​page=WiwiHome|Floola]]** (non libre) permet de gérer en plus des fichiers musicaux, les couvertures d'​albums ainsi que les photos pour les envoyer vers l'iPod
-  * **[[:​Songbird]]** permet la gestion d'un iPod et d'une bibliothèque musicale. +==== Amarok ====
-  * **[[:​Hipo]]**,​ encore un outil de gestion de l'​iPod,​ simple et qui marche bien avec les Shuffle. +
- +
-===== Amarok ​=====+
 Il gère l'iPod depuis la version 1.4. Cette version 1.4 gère aussi les pochettes d'​albums pour les iPod les supportant. Il gère l'iPod depuis la version 1.4. Cette version 1.4 gère aussi les pochettes d'​albums pour les iPod les supportant.
 +Attention ceci n'est plus valable pour les versions récentes (au moins à partir de 2.3)
  
 **Installation** **Installation**
  
-Pour connaître la procédure d'​installation d'​AmaroK,​ rendez-vous sur la [[http://​doc.ubuntu-fr.org/​amarok#​installation|page du wiki consacrée à AmaroK]] ​+Pour connaître la procédure d'​installation d'​AmaroK,​ rendez-vous sur la [[:​amarok#​installation|page du wiki consacrée à AmaroK]] ​
  
 **Utilisation avec un iPod** **Utilisation avec un iPod**
 +
 +Les informations ci-dessous sont obsolètes pour la dernière version d'​Amarok.
  
   * Tout d'​abord [[#​Connexion de l'iPod sous Ubuntu Linux|connectez votre iPod]], attendez quelques secondes que votre iPod soit monté (l'​icône apparaît sur le bureau).   * Tout d'​abord [[#​Connexion de l'iPod sous Ubuntu Linux|connectez votre iPod]], attendez quelques secondes que votre iPod soit monté (l'​icône apparaît sur le bureau).
Ligne 185: Ligne 196:
   * Lancez ensuite AmaroK : Applications -> Son et vidéo -> AmaroK .   * Lancez ensuite AmaroK : Applications -> Son et vidéo -> AmaroK .
  
-  * Suivez le tutoriel de premier lancement, si vous possédez une bibliothèque,​ indiquez-lui.+  * Suivez le tutoriel de premier lancement, si vous possédez une bibliothèque,​ indiquez-la lui.
     Remarque : Si vous refusez de lui indiquer une bibliothèque,​ ce n'est pas grave, vous pourrez à tout moment le faire par la suite.     Remarque : Si vous refusez de lui indiquer une bibliothèque,​ ce n'est pas grave, vous pourrez à tout moment le faire par la suite.
  
Ligne 225: Ligne 236:
  
 ==== Avec une interface graphique ==== ==== Avec une interface graphique ====
 +
  
 === Logiciel 1 : Avidemux === === Logiciel 1 : Avidemux ===
  
-Le logiciel utilisé pour cette tache est [[Avidemux]].+Le logiciel utilisé pour cette tâche ​est [[Avidemux]]. ​Il propose une configuration automatique pour l'iPod et d'​autre périphérique (ex. PSP). Mais attention, il y a un bug avec la version GTK+ 
 +<note important>​BUG dans avidemux avec l'​interface GTK+ : l'​utilisation de la configuration automatique pour iPod va produire un message d'​erreur a propos du codec MPEG4. Installer le paquet avidemux-qt4 et l'​utiliser à la place (voir update-aleternatives) permet de résoudre le problème. </​note>​
  
 Nous pouvons éventuellement réduire la qualité de l'​encodage pour gagner un peu de mémoire. Un //bitrate// de 800 est amplement suffisant pour un écran d'​iPod. Nous pouvons éventuellement réduire la qualité de l'​encodage pour gagner un peu de mémoire. Un //bitrate// de 800 est amplement suffisant pour un écran d'​iPod.
Ligne 308: Ligne 321:
 </​code>​ </​code>​
  
-<note tip>​Sous ​hardy, j'ai eu besoin d'​installer le paquet '​faac',​ et sous intrepid ​ibex, il faut installer libmp3lame-dev,​ et remplacer -acodec aac par -acodec libfaac</​note>​+<note tip>​Sous ​Hardy, j'ai eu besoin d'​installer le paquet '​faac',​ et sous Intrepid ​ibex, il faut installer libmp3lame-dev,​ et remplacer -acodec aac par -acodec libfaac</​note>​
  
-Cela va produire un fichier MPEG-4 ASP à 700kb/s+Cela va produire un fichier MPEG-4 ASP à 700 kb/s
  
 <note tip>​Depuis le //​firmware//​ 1.2, vous pouvez augmenter la résolution jusqu'​à 640x480. Vous pouvez également augmenter le //maxrate// à 2500 </​note>​ <note tip>​Depuis le //​firmware//​ 1.2, vous pouvez augmenter la résolution jusqu'​à 640x480. Vous pouvez également augmenter le //maxrate// à 2500 </​note>​
Ligne 322: Ligne 335:
 === Script 1: pypodconv === === Script 1: pypodconv ===
  
-Ce script permet entre autre d'​encoder en H264 (MPEG-4 AVC) en deux passes, car l'iPod vidéo peut maintenant le supporter. La qualité est à peu près semblable au mpeg4 mais le débit est réduit par deux. Cependant, l'​encodage est beaucoup plus lent (5x plus long que mpeg4 ou Xvid). Ce script moins connu que le suivant est beaucoup plus "​intelligent"​ et produit des fichiers de bonne qualité.+Ce script permet entre autre d'​encoder en h264 (MPEG-4 AVC) en deux passes, car l'iPod vidéo peut maintenant le supporter. La qualité est à peu près semblable au mpeg4 mais le débit est réduit par deux. Cependant, l'​encodage est beaucoup plus lent (5x plus long que mpeg4 ou Xvid). Ce script moins connu que le suivant est beaucoup plus "​intelligent"​ et produit des fichiers de bonne qualité.
  
 Le format h264 est recommandé pour le 640x480 (pour une sortie TV par exemple) Le format h264 est recommandé pour le 640x480 (pour une sortie TV par exemple)
Ligne 427: Ligne 440:
 <​code>​ipodvidenc video.avi</​code> ​ <​code>​ipodvidenc video.avi</​code> ​
  
-===== Remplacer le système de l'iPod ===== 
  
-Il est aussi possible, mais plus dangereux, de remplacer le système interne de l'iPod par un système libre. Ce système permet par exemple le glisser-déposer de fichiers directement en passant par Nautilus. Pour plus d'​informations,​ consultez [[http://​www.rockbox.org|le site sur Rockbox]] ou [[http://​www.ipodlinux.org|celui sur iPodLinux]]. 
- 
-Voir aussi [[http://​forum.ubuntu-fr.org/​viewtopic.php?​id=254694|cette discussion]] sur le forum ubuntu-fr. 
  
 ===== Voir aussi ===== ===== Voir aussi =====
Ligne 440: Ligne 449:
   * [[:iTunes]]   * [[:iTunes]]
   * [[:gtkPod]]   * [[:gtkPod]]
-  * [[:Listen]] 
   * [[:​Rhythmbox]]   * [[:​Rhythmbox]]
   * [[:​Banshee]]   * [[:​Banshee]]
Ligne 448: Ligne 456:
 ==== Pour extraire vos musiques ==== ==== Pour extraire vos musiques ====
  
-[[:Yamipod]], [[:Hipo]], [[http://​sive.sourceforge.net/​|Simple Ipod Video Encoder]].+[[:​Yamipod]],​ [[http://​sive.sourceforge.net/​|Simple Ipod Video Encoder]]. 
 +==== Problèmes rencontrées ==== 
 + 
 +=== Ipod reconnu mais non monté après une mise à jour de l'Os en 4.2.1 === 
 + 
 +  * [[http://​forum.ubuntu-fr.org/​viewtopic.php?​pid=4000864|solution sur le forum]] 
 + 
 + 
 +=== Ipod en lecture seule === 
 +"/​dev/​sdc2"​ correspond à la partition de l'​ipod 
 + <​code>​sudo fsck.hfsplus /dev/sdc2 </​code>​
 ==== Liens externes Internet ==== ==== Liens externes Internet ====
  
  • ipod.1273497842.txt.gz
  • Dernière modification: Le 18/04/2011, 14:49
  • (modification externe)